_Elm_Widget_Item_Data Struct Reference

## Data Fields

| EINA_MAGIC
Evas_Object * | widget
| The Eo item, useful to invoke eo_do when only the item data is available.
Eo * | eo_obj
| the base view object
Evas_Object * | view
| user delete callback function
Evas_Smart_Cb | del_func
| widget delete callback function.
Elm_Widget_Del_Pre_Cb | del_pre_func
Evas_Object * | focus_previous
Evas_Object * | focus_next
Evas_Object * | focus_up
Evas_Object * | focus_down
Evas_Object * | focus_right
Evas_Object * | focus_left
Elm_Object_Item * | item_focus_previous
Elm_Object_Item * | item_focus_next
Elm_Object_Item * | item_focus_up
Elm_Object_Item * | item_focus_down
Elm_Object_Item * | item_focus_right
Elm_Object_Item * | item_focus_left
Eina_Stringshare * | style
Evas_Object * | access_obj
const char * | access_info
const char * | accessible_name
Eina_List * | access_order
Eina_Inlist * | translate_strings
Eina_List * | signals
Eina_Hash * | labels
Evas_Object * | track_obj
struct { |
void(* realized )(Eo *obj) |
void(* unrealized )(Eo *obj) |
} | func
Eina_Bool | disabled: 1
Eina_Bool | on_deletion: 1
Eina_Bool | on_translate: 1
Eina_Bool | still_in: 1

## Field Documentation

## del_func

Evas_Smart_Cb _Elm_Widget_Item_Data::del_func

widget delete callback function.

don't expose this callback call